<?php

$default = welding_services_get_default_theme_options();
/**
* Add Header Setting Panel
*/
$wp_customize->add_panel( 'header_setting_panel', array(
    'title'          => __( 'Header Settings', 'welding-services' ),
    'priority'       => 20,
    'capability'     => 'edit_theme_options',
) );

/** Header contact info section */
$wp_customize->add_section(
    'header_contact_info_section',
    array(
        'title'    => __( 'Contact Info', 'welding-services' ),
        'panel'    => 'header_setting_panel',
        'priority' => 10,
    )
);

/** Header contact info control */
$wp_customize->add_setting( 
    'theme_options[show_header_contact_info]', 
    array(
        'default'           => $default['show_header_contact_info'],
        'sanitize_callback' => 'welding_services_sanitize_checkbox',
    ) 
);

$wp_customize->add_control(
    'theme_options[show_header_contact_info]',
    array(
        'label'       => __( 'Show Contact Info', 'welding-services' ),
        'section'     => 'header_contact_info_section',
        'type'        => 'checkbox',
    )
);

/** Phone */
$wp_customize->add_setting( 'theme_options[header_phone]', array(
    'sanitize_callback' => 'welding_services_sanitize_phone_number',
) );

$wp_customize->add_control(
    'theme_options[header_phone]',
    array(
        'label'           => __( 'Phone', 'welding-services' ),
        'description'     => __( 'Enter phone number.', 'welding-services' ),
        'section'         => 'header_contact_info_section',
        'active_callback' => 'welding_services_contact_info_ac',
    )
);